Package org.eclipse.lemminx.extensions.xsd.participants

## Class XSDDocumentLinkParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.participants.XSDDocumentLinkParticipant

All Implemented Interfaces:
  `IDocumentLinkParticipant`

    public class XSDDocumentLinkParticipant
    extends Object
    implements IDocumentLinkParticipant

Implements document links in .xsd files for

- xs:include/@schemaLocation
- xs:import/@schemaLocation

### Constructor Summary

Constructors
`XSDDocumentLinkParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findDocumentLinks​(DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)` Find document links of the given XML document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDDocumentLinkParticipant

    public XSDDocumentLinkParticipant()

### Method Detail

#### findDocumentLinks

    public void findDocumentLinks​(DOMDocument document,
                                  List<org.eclipse.lsp4j.DocumentLink> links)

Description copied from interface: `IDocumentLinkParticipant`
Find document links of the given XML document.

Specified by:
  `findDocumentLinks` in interface `IDocumentLinkParticipant`